#!/usr/bin/env python
# -*- coding: utf-8 -*- 
import autopath
from lshwobjects import *

def test_network():
    """teste les objets network
    - creation
    - instanciation
    """
    n = Network(product="product", vendor="vendor")
    assert n.vendor == "vendor"
    assert n.todict() == {'product':'product', 'vendor':'vendor'}

def test_disks():
    """teste les objets disk
    - creation
    - instanciation
    """
    d = Disk(product="product", vendor="vendor")
    assert d.vendor == "vendor"
    assert d.todict() == {'product':'product', 'vendor':'vendor'}

def test_processor():
    """teste les objets cpu
    - creation
    - instanciation
    """
    p = Processor(product="product", vendor="vendor", width="width")
    assert p.vendor == "vendor"
    assert p.todict() == {'product':'product', 'vendor':'vendor', 'width':'width'}

def test_memory():
    """teste les objets memory
    - creation
    - instanciation
    """
    m = Memory(size="size")
    assert m.size == "size"

def test_multimedia():
    """teste les objets multimedia
    - creation
    - instanciation
    """
    mu = Multimedia(product="product", vendor="vendor")
    assert mu.vendor == "vendor"
    assert mu.todict() == {'product':'product', 'vendor':'vendor'}

def test_diskcard():
    """teste les objets diskcard
    - creation
    - instanciation
    """
    dc = Diskcard(product="product", vendor="vendor", driver="driver")
    assert dc.vendor == "vendor"
    assert dc.todict() == {'product':'product', 'vendor':'vendor', 'driver':'driver'}
